<template>
  <b-container class="generation">
    <b-row class="pt-5 mb-5">
      <b-col data-aos="fade-right" cols="12" md="12" class="generation--header text-center mb-5">
        <h1 class="generation--header__title font-weight-bold text-info">
          Untuk Generasi Instan
        </h1>
        <p class="generation--header__subtitle mt-4">
          Akuisisi keahlian IT terbaru hanya dengan tiga
          cara yang mudah (bisa sambil duduk manis)
        </p>
      </b-col>
      <b-col v-for="item in generations" :key="item.id" md="4" class="text-center mb-2">
        <b-card
          data-aos="fade-up"
          :data-aos-duration="1000 * item.id"
          style="max-height: 20rem;"
          :class="`text-center border-none ${item.title === 'Sharing' ? 'bg-info': ''}`"
        >
          <b-img :src="`/assets/ilustration/${item.img}`" fluid width="100" />
          <h5 :class="`font-weight-bold my-3 ${item.title === 'Sharing' ? 'text-white' : ''}`">
            {{ item.title }}
          </h5>
          <span :class="`${item.title === 'Sharing' ? 'text-white' : ''}`">
            {{ item.description }}
          </span>
          <div class="my-3">
            <base-button v-if="item.title === 'Sharing'" class="bg-white text-info btn-sm py-2 px-5">
              Mulai Belajar
            </base-button>
          </div>
        </b-card>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters(['generations'])
  }
}
</script>

<style lang="scss" scoped>
.generation {
  &--header {
    &__title {
      font-size: 28px;
    }
    &__subtitle {
      font-size: 15px;
      color: grey;
    }
  }
  .card {
    h5 {
      color: #17A2B8;
    }
    span {
      color: rgb(183, 183, 183);
    }
    &:hover {
      background: #17A2B8;
      color: white;
      transition: all 0.5s ease-out;
      h5 {
        color: white;
      }
      span {
        color: rgb(227, 227, 227);
      }
    }
  }
}
</style>
